> ## Documentation Index
> Fetch the complete documentation index at: https://docs.domino.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Get tags for multiple entities

> Batch-fetch tags grouped by entity ID



## OpenAPI

````yaml /api-specs/cloud/public-api.json get /api/taxonomy/v1/entity-tags
openapi: 3.0.3
info:
  title: Domino Public API
  description: Reference for Domino's public REST API endpoints.
  version: 6.4.0
  x-catalog-key: nucleus
servers:
  - url: https://mycluster.domino.tech
    description: >-
      Replace 'mycluster.domino.tech' with your Domino cluster hostname. For
      Domino Cloud customers, that is `your-subdomain`.domino.tech (e.g.,
      acme.domino.tech). For self-hosted deployments, it is the hostname you
      reach the Domino UI at.
security: []
tags:
  - name: Projects
  - name: Project templates
  - name: Workspaces
  - name: Jobs
  - name: HPC Jobs
  - name: Environments
  - name: Hardware Tiers
  - name: Datasets
  - name: Data Sources
  - name: GenAI
  - name: AI Systems
  - name: Apps
  - name: App versions
  - name: App instances
  - name: Model APIs
  - name: Registered models
  - name: Model deployment
  - name: Extensions
  - name: Cost and billing
  - name: Users and organizations
  - name: Service accounts
  - name: Personal Access Tokens
  - name: Personal Access Tokens (admin)
  - name: Audit Trail
  - name: Custom metrics
  - name: PPM
  - name: Model Monitoring models
  - name: Model Monitoring drift and quality
  - name: Model Monitoring settings
  - name: Model Monitoring authentication
  - name: Governance bundles
  - name: Governance policies
  - name: Governance evidence and results
  - name: Governance operations
  - name: NetApp Volumes
  - name: NetApp Volumes snapshots
  - name: NetApp Volumes filesystems
  - name: NetApp Volumes transfers
  - name: Tags
  - name: Properties
externalDocs:
  description: OpenAPI
  url: https://swagger.io/resources/open-api/
paths:
  /api/taxonomy/v1/entity-tags:
    get:
      tags:
        - Tags
      summary: Get tags for multiple entities
      description: Batch-fetch tags grouped by entity ID
      parameters:
        - description: Entity IDs
          name: entityIds
          in: query
          required: true
          explode: true
          schema:
            items:
              type: string
            type: array
        - description: Entity type (dataset, project, model, app)
          name: entityType
          in: query
          required: true
          schema:
            type: string
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                $ref: >-
                  #/components/schemas/data-taxonomy-service_taxonomy.EntityTagsResponse
        '400':
          description: Bad Request
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/data-taxonomy-service_server.HTTPError'
        '401':
          description: Unauthorized
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/data-taxonomy-service_server.HTTPError'
        '500':
          description: Internal Server Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/data-taxonomy-service_server.HTTPError'
components:
  schemas:
    data-taxonomy-service_taxonomy.EntityTagsResponse:
      type: object
      properties:
        data:
          type: object
          additionalProperties:
            type: array
            items:
              $ref: '#/components/schemas/data-taxonomy-service_taxonomy.Tag'
    data-taxonomy-service_server.HTTPError:
      type: object
      properties:
        message:
          type: string
    data-taxonomy-service_taxonomy.Tag:
      type: object
      properties:
        children:
          type: array
          items:
            $ref: '#/components/schemas/data-taxonomy-service_taxonomy.Tag'
        createdAt:
          type: string
        createdBy:
          $ref: '#/components/schemas/data-taxonomy-service_taxonomy.User'
        description:
          type: string
        entityCount:
          $ref: >-
            #/components/schemas/data-taxonomy-service_taxonomy.EntityCountByType
        fullPath:
          items:
            type: string
          type: array
        id:
          type: string
        label:
          type: string
        namespaceId:
          type: string
        namespaceLabel:
          type: string
        parentId:
          type: string
        status:
          $ref: '#/components/schemas/data-taxonomy-service_taxonomy.TagStatus'
        updatedAt:
          type: string
        updatedBy:
          $ref: '#/components/schemas/data-taxonomy-service_taxonomy.User'
    data-taxonomy-service_taxonomy.User:
      type: object
      properties:
        userID:
          type: string
        username:
          type: string
    data-taxonomy-service_taxonomy.EntityCountByType:
      type: object
      properties:
        app:
          type: integer
        dataSource:
          type: integer
        dataset:
          type: integer
        environment:
          type: integer
        model:
          type: integer
        netappVolume:
          type: integer
        policy:
          type: integer
        project:
          type: integer
        projectTemplate:
          type: integer
        total:
          type: integer
    data-taxonomy-service_taxonomy.TagStatus:
      type: string
      enum:
        - active
        - deprecated
      x-enum-varnames:
        - TagStatusActive
        - TagStatusDeprecated

````

## Related topics

- [Get entities by multiple tags](/api-reference/tags/get-entities-by-multiple-tags.md)
- [Tags](/cloud/platform-capabilities/core-concepts/knowledge-management/tags.md)
- [Get entities by tag](/api-reference/tags/get-entities-by-tag.md)
- [Get a namespace by ID](/api-reference/tags/get-a-namespace-by-id.md)
